Unwhitelist address
curl --request DELETE \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/whitelist/{addressId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/whitelist/{addressId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/whitelist/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "0x3375154fa32Cb434B044E73a2582C4D2E6518AE4",
"blockchain": {
"createdAt": "2024-05-27T08:31:14.966Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "74733889-4ecd-403e-9840-94e87c043f24",
"isActive": true,
"isEvmCompatible": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/Base_Network_Logo_vqyh7r.png",
"name": "base",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2024-10-27T07:52:16.115Z"
},
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac",
"status": "success"
}
},
"createdAt": "2024-11-11T16:57:19.160Z",
"derivationPath": null,
"id": "b87901a2-45c1-4d2d-8ee7-205ef0c4ddf1",
"isActive": false,
"metadata": null,
"name": "External address",
"network": "testnet",
"type": "EXTERNAL",
"updatedAt": "2024-11-11T16:57:19.160Z"
},
"message": "Address unwhitelisted successfully",
"statusCode": 200
}Unwhitelist address
The endpoint allows the deletion of a specific address from the whitelist of a wallet.
DELETE
/
v1
/
wallets
/
{walletId}
/
addresses
/
whitelist
/
{addressId}
Unwhitelist address
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"ADDRESS_ID"
⌘I

